local M = {} -- public interface


function M.MoveFileToDir(dstDir)

	local filename = GetCurrentFileName()
	if filename.len == 0 then
		return
	end
	
	-- accept directories with and without trailing backslash
	if dstDir:sub(-1, -1) ~= "\\" then
		dstDir = dstDir .. "\\"
	end
	
	ForceDirectories(dstDir)

	-- extract source file name without dir
	local index = string.find(filename:reverse(), "\\")
	local fname
	if index == nil then
		fname = filename
	else
		fname = string.sub(filename, -(index-1))
	end

	print(string.format("Current file: %s\n", filename))

	Skip()	-- play next

	-- move to destination dir
	local dstFile = dstDir .. fname
	local result = MoveFile(filename, dstFile)
	print(string.format("Destination: %s\n", dstFile))
	if result ~= 0 then
		print(string.format("Moving %s to %s failed!\n", filename, dstFile))
		ShowMessage("Moving " .. filename .. " failed!")
	else
		print(string.format("%s moved to %s\n", filename, dstFile))
	end 

end


return M